Build failed in Jenkins: quantal-adt-udisks2 » amd64,albali #10

Jenkins Notification devnull at canonical.com
Fri Jun 29 08:13:53 UTC 2012


See <http://10.189.74.2:8080/job/quantal-adt-udisks2/./ARCH=amd64,label=albali/10/>

------------------------------------------
[...truncated 965 lines...]
ERROR
test_luks_mount (__main__.Luks)
LUKS mount/unmount ... ERROR
ERROR
test_loop_ro (__main__.Manager)
loop device R/O ... ok
test_loop_rw (__main__.Manager)
loop device R/W ... ok
test_version (__main__.Manager)
daemon version ... ok
test_internal_fs_nobody (__main__.Polkit)
Try to create FS on internal drive as nobody ... ERROR
test_internal_fs_root (__main__.Polkit)
Create FS on internal drive as root ... ERROR
test_sda (__main__.Smart)
SMART status of first internal hard disk ... [skip] ok

======================================================================
ERROR: test_luks_forced_removal (__main__.Luks)
LUKS forced removal
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 1114, in test_luks_forced_removal
    self.assertEqual(self.client.get_object(path), None)
  File "/usr/lib/python3.2/unittest/case.py", line 628, in assertEqual
    assertion_func(first, second, msg=msg)
  File "/usr/lib/python3.2/unittest/case.py", line 621, in _baseAssertEqual
    raise self.failureException(msg)
AssertionError: <ObjectProxy object at 0x27f1d70 (UDisksObjectProxy at 0x7f13980932d0)> != None

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "debian/local/integration-test", line 1135, in test_luks_forced_removal
    no_options, None)
  File "/usr/lib/python3/dist-packages/gi/types.py", line 47, in function
    return info.invoke(*args, **kwargs)
gi._glib.GError: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.freedesktop.UDisks2.Encrypted' on object at path /org/freedesktop/UDisks2/block_devices/sda

======================================================================
ERROR: test_luks_forced_removal (__main__.Luks)
LUKS forced removal
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 983, in tearDown
    crypt_obj = self.client.get_object(self.udisks_block().get_object_path())
  File "debian/local/integration-test", line 252, in udisks_block
    dev_t = os.stat(devname).st_rdev
OSError: [Errno 2] No such file or directory: '/dev/sda'

======================================================================
ERROR: test_luks_mount (__main__.Luks)
LUKS mount/unmount
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 1060, in test_luks_mount
    crypt_obj = self.client.get_object(self.udisks_block().get_object_path())
  File "debian/local/integration-test", line 252, in udisks_block
    dev_t = os.stat(devname).st_rdev
OSError: [Errno 2] No such file or directory: '/dev/sda'

======================================================================
ERROR: test_luks_mount (__main__.Luks)
LUKS mount/unmount
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 983, in tearDown
    crypt_obj = self.client.get_object(self.udisks_block().get_object_path())
  File "debian/local/integration-test", line 252, in udisks_block
    dev_t = os.stat(devname).st_rdev
OSError: [Errno 2] No such file or directory: '/dev/sda'

======================================================================
ERROR: test_internal_fs_nobody (__main__.Polkit)
Try to create FS on internal drive as nobody
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 1169, in test_internal_fs_nobody
    self.fs_create(None, 'ext4', no_options)
  File "debian/local/integration-test", line 332, in fs_create
    block = klass.udisks_block(partition)
  File "debian/local/integration-test", line 252, in udisks_block
    dev_t = os.stat(devname).st_rdev
OSError: [Errno 2] No such file or directory: '/dev/sda'

======================================================================
ERROR: test_internal_fs_root (__main__.Polkit)
Create FS on internal drive as root
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 1159, in test_internal_fs_root
    self.fs_create(None, 'ext4', options)
  File "debian/local/integration-test", line 332, in fs_create
    block = klass.udisks_block(partition)
  File "debian/local/integration-test", line 252, in udisks_block
    dev_t = os.stat(devname).st_rdev
OSError: [Errno 2] No such file or directory: '/dev/sda'

======================================================================
FAIL: test_ext2 (__main__.FS)
fs: ext2
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 590, in test_ext2
    self._do_fs_check('ext2')
  File "debian/local/integration-test", line 736, in _do_fs_check
    self._do_udisks_check(type)
  File "debian/local/integration-test", line 893, in _do_udisks_check
    self.assertEqual(block.get_property('id-label'), '')
AssertionError: 'n"a\\m\\"eext2' != ''
- n"a\m\"eext2
+ 


======================================================================
FAIL: test_ext3 (__main__.FS)
fs: ext3
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 594, in test_ext3
    self._do_fs_check('ext3')
  File "debian/local/integration-test", line 736, in _do_fs_check
    self._do_udisks_check(type)
  File "debian/local/integration-test", line 893, in _do_udisks_check
    self.assertEqual(block.get_property('id-label'), '')
AssertionError: 'n"a\\m\\"eext3' != ''
- n"a\m\"eext3
+ 


======================================================================
FAIL: test_ext4 (__main__.FS)
fs: ext4
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 598, in test_ext4
    self._do_fs_check('ext4')
  File "debian/local/integration-test", line 738, in _do_fs_check
    self._do_udisks_check(type, 'test%stst' % type)
  File "debian/local/integration-test", line 893, in _do_udisks_check
    self.assertEqual(block.get_property('id-label'), '')
AssertionError: 'n"a\\m\\"eext4' != ''
- n"a\m\"eext4
+ 


======================================================================
FAIL: test_ntfs (__main__.FS)
fs: NTFS
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 614, in test_ntfs
    self._do_fs_check('ntfs')
  File "debian/local/integration-test", line 736, in _do_fs_check
    self._do_udisks_check(type)
  File "debian/local/integration-test", line 893, in _do_udisks_check
    self.assertEqual(block.get_property('id-label'), '')
AssertionError: 'n"a\\m\\"entfs' != ''
- n"a\m\"entfs
+ 


======================================================================
FAIL: test_reiserfs (__main__.FS)
fs: reiserfs
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 622, in test_reiserfs
    self._do_fs_check('reiserfs')
  File "debian/local/integration-test", line 738, in _do_fs_check
    self._do_udisks_check(type, 'test%stst' % type)
  File "debian/local/integration-test", line 887, in _do_udisks_check
    self.assertEqual(block.get_property('id-label'), l)
AssertionError: 'testreiserfstst' != 'n"a\\m\\"ereiserfs'
- testreiserfstst
+ n"a\m\"ereiserfs


======================================================================
FAIL: test_vfat (__main__.FS)
fs: FAT
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 618, in test_vfat
    self._do_fs_check('vfat')
  File "debian/local/integration-test", line 736, in _do_fs_check
    self._do_udisks_check(type)
  File "debian/local/integration-test", line 893, in _do_udisks_check
    self.assertEqual(block.get_property('id-label'), '')
AssertionError: 'N at A$ME' != ''
- N at A$ME
+ 


======================================================================
FAIL: test_zero (__main__.FS)
properties of zeroed out device
----------------------------------------------------------------------
Traceback (most recent call last):
  File "debian/local/integration-test", line 579, in test_zero
    self.assertEqual(self.block.get_property('id-usage'), '')
AssertionError: 'filesystem' != ''
- filesystem
+ 


----------------------------------------------------------------------
Ran 26 tests in 116.728s

FAILED (failures=7, errors=6)
Testing installed system binaries
daemon path: /usr/lib/udisks2/udisksd
polkitd path: /usr/lib/policykit-1/polkitd
Set up test device: /dev/sda
adt-run: trace: & dsc0t-upstream-system: ----------------------------------------]
adt-run: trace1: ** needs_reset, previously=False
adt-run: trace: @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ tests done.
adt-run: trace: ** stop
adt-run: trace: ** close, scratch=tb-scratch~/tmp/tmp.4j3nYoVxpC:-/|/tmp/tmp.4j3nYoVxpC/!
+ RET=4
+ [ 4 -gt 0 ]
+ log_failure_msg adt-run exited with status 4.
+ log_msg Failure: adt-run exited with status 4.\n
+ date +%F %X
+ printf 2012-06-29 08:13:50: Failure: adt-run exited with status 4.\n
2012-06-29 08:13:50: Failure: adt-run exited with status 4.
+ mkdir -p <http://10.189.74.2:8080/job/quantal-adt-udisks2/./ARCH=amd64,label=albali/ws/results>
+ ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o CheckHostIP=no -i /tmp/adt/disks/adtkey -p 54323 -t -o BatchMode=yes -l ubuntu localhost sudo chown -R ubuntu /home/ubuntu/adt-log
Pseudo-terminal will not be allocated because stdin is not a terminal.
Warning: Permanently added '[localhost]:54323' (ECDSA) to the list of known hosts.
sudo: unable to resolve host autopkgtest
+ scp -r -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o CheckHostIP=no -i /tmp/adt/disks/adtkey -P 54323 ubuntu at localhost:/home/ubuntu/adt-log/* <http://10.189.74.2:8080/job/quantal-adt-udisks2/./ARCH=amd64,label=albali/ws/results>
Warning: Permanently added '[localhost]:54323' (ECDSA) to the list of known hosts.
+ scp -r -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o CheckHostIP=no -i /tmp/adt/disks/adtkey -P 54323 ubuntu at localhost:/var/crash/*crash <http://10.189.74.2:8080/job/quantal-adt-udisks2/./ARCH=amd64,label=albali/ws/results>
Warning: Permanently added '[localhost]:54323' (ECDSA) to the list of known hosts.
scp: /var/crash/*crash: No such file or directory
+ true
+ ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o CheckHostIP=no -i /tmp/adt/disks/adtkey -p 54323 -t -o BatchMode=yes -l ubuntu localhost sudo poweroff
Pseudo-terminal will not be allocated because stdin is not a terminal.
Warning: Permanently added '[localhost]:54323' (ECDSA) to the list of known hosts.
sudo: unable to resolve host autopkgtest
+ cat /dev/shm/adt/quantal-amd64-udisks2-20120629_080627.img.pid
+ kill -9 69197
+ rm /dev/shm/adt/quantal-amd64-udisks2-20120629_080627.img.pid
+ rm /dev/shm/adt/quantal-amd64-udisks2-20120629_080627.img
+ rm -Rf /tmp/adt-amd64.BLSajq
+ exit 4
Build step 'Execute shell' marked build as failure
Archiving artifacts



More information about the ubuntu-testing-notifications mailing list